Bug 1817474 - Review Request: kemie-bellota-fonts - An ornamented, cute, low contrast sans-serif font family
Summary: Review Request: kemie-bellota-fonts - An ornamented, cute, low contrast sans-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-26 12:10 UTC by Nicolas Mailhot
Modified: 2020-04-08 02:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-08 02:52:59 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-03-26 12:10:11 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01320936-kemie-bellota-fonts/kemie-bellota-fonts.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01320936-kemie-bellota-fonts/kemie-bellota-fonts-4.1-1.fc33.src.rpm

Description:
The Bellota font families are ornamented, low contrast sans-serifs with text
and swash alternates. They’re just cute enough!
They include stylistic alternates (for swash and non-ornamented characters) and
ligatures available through OpenType features.

Fedora Account System Username: nim

Comment 1 Weiping 2020-03-27 16:22:50 UTC
This is a informal review:

%changelog
* Thu Mar 26 2020 Nicolas Mailhot <nim>
- 4.1-1
鉁� Initial packaging


Some un-recognized characters at then end of spec file?

Comment 2 Robert-André Mauchin 🐧 2020-03-27 17:36:52 UTC
(In reply to Nicolas Mailhot from comment #0)
Spectool is refusing to d/l  the Source, do you know why?

 - Fix the %changelog:

%changelog
* Thu Mar 26 2020 Nicolas Mailhot <nim> - 4.1-1
- Initial packaging


Package approved, please fix the aforementioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "SIL Open Font License 1.1", "*No
     copyright* SIL Open Font License (v1.1)". 4096 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/kemie-bellota-fonts/review-kemie-bellota-
     fonts/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: kemie-bellota-text-fonts-4.1-1.fc33.noarch.rpm
          kemie-bellota-fonts-all-4.1-1.fc33.noarch.rpm
          kemie-bellota-fonts-4.1-1.fc33.src.rpm
kemie-bellota-fonts-all.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 3 Nicolas Mailhot 2020-03-27 17:55:50 UTC
(In reply to Weiping from comment #1)
> This is a informal review:
> 
> %changelog
> * Thu Mar 26 2020 Nicolas Mailhot <nim>
> - 4.1-1
> 鉁� Initial packaging
> 
> 
> Some un-recognized characters at then end of spec file?

It’s clean UTF-8, your system is just lacking a font covering this part of Unicode.

(In reply to Robert-André Mauchin from comment #2)
> Spectool is refusing to d/l  the Source, do you know why?

No idea, rpm parses the spec fine (or it would not build), there is a bug somewhere in the spectool spec parser, but I’ve no idea where and upstream is silent. And it’s not even a problem with the macros the spec uses, spectool processes them fine in other packages. So, probably a stupid limit condition or assertion somewhere.

https://pagure.io/rpmdevtools/issue/49

Thanks for the review!

Comment 4 Nicolas Mailhot 2020-03-27 17:59:18 UTC
(In reply to Nicolas Mailhot from comment #3)
> (In reply to Weiping from comment #1)
> > This is a informal review:
> > 
> > %changelog
> > * Thu Mar 26 2020 Nicolas Mailhot <nim>
> > - 4.1-1
> > 鉁� Initial packaging
> > 
> > 
> > Some un-recognized characters at then end of spec file?
> 
> It’s clean UTF-8, your system is just lacking a font covering this part of
> Unicode.

(I’ve been known to inject all kinds of weird UTF-8 in changelogs for years, to make sure our package tooling takes no UTF-8 shortcuts; it’s been a long time they triggered anything anywhere, infra seems to have fixed all the bugs a long time ago, and no one is reintroducing them. Yet, better keep exercising things so they stay fixed.)

Comment 5 Nicolas Mailhot 2020-03-27 18:01:19 UTC
(In reply to Nicolas Mailhot from comment #3)

> No idea, rpm parses the spec fine (or it would not build), there is a bug
> somewhere in the spectool spec parser, but I’ve no idea where and upstream
> is silent. And it’s not even a problem with the macros the spec uses,
> spectool processes them fine in other packages. So, probably a stupid limit
> condition or assertion somewhere.

(a pass of rpmspec -P before spectool seems enough for downloads to work)

Comment 6 Gwyn Ciesla 2020-03-27 18:21:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/kemie-bellota-fonts

Comment 7 Fedora Update System 2020-03-29 17:51:10 UTC
FEDORA-2020-de25e966ef has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-de25e966ef

Comment 8 Fedora Update System 2020-03-29 17:51:14 UTC
FEDORA-2020-d73064c21f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d73064c21f

Comment 9 Fedora Update System 2020-03-30 03:00:29 UTC
FEDORA-2020-de25e966ef has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-de25e966ef \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-de25e966ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-03-30 03:33:52 UTC
FEDORA-2020-d73064c21f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d73064c21f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d73064c21f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-08 02:52:59 UTC
FEDORA-2020-de25e966ef has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.